Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.parsers
Class CachingParserPool.SynchronizedGrammarPool

    java.lang.Object
      weblogic.apache.xerces.parsers.CachingParserPool.SynchronizedGrammarPool

All Implemented Interfaces:
  XMLGrammarPool

Enclosing class:
  CachingParserPool

public static final class CachingParserPool.SynchronizedGrammarPool
extends Object
implements XMLGrammarPool

Synchronized grammar pool.

Constructor Summary
`CachingParserPool.SynchronizedGrammarPool(XMLGrammarPool grammarPool)` Constructs a synchronized grammar pool.

Method Summary
`void` | `cacheGrammars(String grammarType, Grammar[] grammars)`
`void` | `clear()` clear the grammar pool
`void` | `lockPool()` lock the grammar pool
`Grammar` | `retrieveGrammar(XMLGrammarDescription gDesc)`
`Grammar[]` | `retrieveInitialGrammarSet(String grammarType)`
`void` | `unlockPool()` unlock the grammar pool

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingParserPool.SynchronizedGrammarPool

    public CachingParserPool.SynchronizedGrammarPool(XMLGrammarPool grammarPool)

  Constructs a synchronized grammar pool.

Method Detail

### cacheGrammars

    public void cacheGrammars(String grammarType,
                              Grammar[] grammars)

  Specified by:
    `cacheGrammars` in interface `XMLGrammarPool`

### clear

    public void clear()

  clear the grammar pool

  Specified by:
    `clear` in interface `XMLGrammarPool`

### lockPool

    public void lockPool()

  lock the grammar pool

  Specified by:
    `lockPool` in interface `XMLGrammarPool`

### retrieveGrammar

    public Grammar retrieveGrammar(XMLGrammarDescription gDesc)

  Specified by:
    `retrieveGrammar` in interface `XMLGrammarPool`

### retrieveInitialGrammarSet

    public Grammar[] retrieveInitialGrammarSet(String grammarType)

  Specified by:
    `retrieveInitialGrammarSet` in interface `XMLGrammarPool`

### unlockPool

    public void unlockPool()

  unlock the grammar pool

  Specified by:
    `unlockPool` in interface `XMLGrammarPool`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD